package com.ruoyi.system.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.SysTable;
import com.ruoyi.system.domain.Tender;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 参数配置 服务层
 *
 * @author ruoyi
 */
public interface ISysTableService extends IService<SysTable>
{
    public List<SysTable> list(Wrapper<SysTable> wrapper);

    SysTable findOne(LambdaQueryWrapper<SysTable> eq);

    @Transactional(rollbackFor = Exception.class)
    void Save(SysTable vo);

    Integer selectCount(Wrapper<SysTable> queryWrapper);
}
